Bug 235240 - Kernel panic on resume from suspend to ram
Kernel panic on resume from suspend to ram
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-04 13:31 EDT by Hezekiah M. Carty
Modified: 2008-05-06 21:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:25:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hezekiah M. Carty 2007-04-04 13:31:25 EDT
Description of problem:
When attempting to resume from a suspend to ram on my Sony Vaio VGN-S260 laptop
under Fedora 7test3 + updates as of April 4 ~12:00pm EST, I get what seems to be
a kernel panic (caps + scroll lock LEDs blinking).  The system is completely
unresponsive, the only way to get the system to even turn off is to unplug the
AC adapter and remove the battery.

Version-Release number of selected component (if applicable):
Fedora 7test3 plus available updates.  I'm not sure which component to file this
against.

How reproducible:
Every time.

Steps to Reproduce:
1. Click on the gnome-power-manager icon and select suspend.
2. Once the system has suspended, press a key to resume.
3. The system starts to come back on (CPU fan spins up at least), then freezes.

Actual results:
System does not resume

Expected results:
System should resume to a normal working state

Additional info:
This works under Fedora 6 on the same system, as well as the CentOS 5 beta release.

The system would not even attempt to suspend under Fedora 7 until I installed
today's updates.  With today's updates, what I have described above happens.

I don't know if this is a kernel issue or some other problem.  There was no
kernel update today, so I think it is at least a kernel + something else problem
rather than simply an issue with the kernel.
Comment 1 Matthew Miller 2007-04-10 11:55:44 EDT
Bulk message: Fedora 7 test bugs should be filed against "devel", not against
test1/2/3. This isn't obvious, I know. Moving this report so it isn't lost.
Comment 2 Hezekiah M. Carty 2007-05-02 14:27:13 EDT
Just to update, I still have this problem with the latest Fedora 7 devel as of
May 1st.

Is there anything I can do to test this and possibly get some useful feedback? 
I've tried running pm-suspend from a terminal, but it has the same problem -
kernel panic with blinking caps lock and scroll lock LEDs.
Comment 3 cje 2007-05-23 08:44:24 EDT
try this: http://people.freedesktop.org/~hughsient/quirk/

it hasn't solved my similar problems yet but it's a good place to start i think.
Comment 4 Hezekiah M. Carty 2007-05-23 09:52:39 EDT
I have run through those steps as well.  None of the --quirk* options seem to
help, and I didn't get anything useful from the:

echo 1 > /sys/power/pm_trace
pm-suspend
<<kernel panic then restart>>
dmesg >dmesg.txt

process either, sadly.

I want to keep testing different things to fix this, but it concerns me that I
have to unplug and remove the battery from my system as part of each test.

Thanks to those who put the quirk debugger page together.  It's a very helpful
start.
Comment 5 Richard Hughes 2007-05-24 06:39:36 EDT
>Thanks to those who put the quirk debugger page together.

Thanks, I'll be adding more content over the next few days.

Richard.
Comment 6 Bug Zapper 2008-04-03 19:56:53 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 21:25:33 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.